<?php
  echo "Entrez votre année de naissance : ";
  fscanf(STDIN,"%s",$annee);
  switch ($annee % 12) :
    case  0: echo 'Singe'.PHP_EOL  ; break ;
    case  1: echo 'Coq'.PHP_EOL    ; break ;
    case  2: echo 'Chien'.PHP_EOL  ; break ;
    case  3: echo 'Cochon'.PHP_EOL ; break ;
    case  4: echo 'Rat'.PHP_EOL    ; break ;
    case  5: echo 'Boeuf'.PHP_EOL  ; break ;
    case  6: echo 'Tigre'.PHP_EOL  ; break ;
    case  7: echo 'Lapin'.PHP_EOL  ; break ;
    case  8: echo 'Dragon'.PHP_EOL ; break ;
    case  9: echo 'Serpent'.PHP_EOL; break ;
    case 10: echo 'Cheval'.PHP_EOL ; break ;
    case 11: echo 'Chèvre'.PHP_EOL ; break ;
  endswitch;
?>